import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
export declare class McRAIRadio implements OnInit {
    private _changeDetectorRef;
    private _radioGroup;
    private _id;
    readonly id: string;
    private _disabled;
    disabled: undefined | null | boolean;
    private _value;
    value: any;
    private _name;
    name: string;
    private _checked;
    checked: boolean;
    constructor(_changeDetectorRef: ChangeDetectorRef, _radioGroup: McRAIRadioGroup);
    ngOnInit(): void;
    onClick(): void;
    isDisabled(): boolean;
}
export declare class McRAIRadioGroup implements OnInit {
    private _radios;
    private _name;
    readonly name: string;
    private _control;
    control: FormControl;
    value: any;
    constructor();
    ngOnInit(): void;
}
