import { AfterViewInit, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { McRAIImage } from '../../models/image';
import { MediaComponent } from '../media/media.component';
export declare class ImageComponent extends MediaComponent implements OnInit, OnChanges, AfterViewInit {
    private _images;
    private _activeIndex;
    activeIndex: number;
    data: McRAIImage | McRAIImage[];
    private _isLoading;
    readonly isLoading: boolean;
    readonly isLoaded: boolean;
    readonly isGallery: boolean;
    private _showCloseButton;
    showCloseButton: boolean;
    readonly isFirst: boolean;
    readonly isLast: boolean;
    private _controlColor;
    controlColor: string;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private _shouldLoadImage(prev, curr);
    private _loadImage();
    private _setDimensions(image);
    private _calculateDimension(origDim, origRefDim, newRefDim, parentDim);
    private _onLoadStart(image);
    private _onLoadEnd();
    private _decrementIndex();
    private _incrementIndex();
    prev(event: any): void;
    next(event: any): void;
}
