import { ElementRef, OnInit, Renderer2, AfterViewInit, ChangeDetectorRef } from '@angular/core';
export declare class HeaderComponent implements OnInit, AfterViewInit {
    private _renderer;
    private _elRef;
    private _changeDetectorRef;
    readonly PANEL_HEADER_CLASS: string;
    clickEvent: any;
    collapsable: boolean;
    collapsed: boolean;
    constructor(_renderer: Renderer2, _elRef: ElementRef, _changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    setCollapsable(): void;
    setCollapsed(collapsed: boolean): void;
    ngAfterViewInit(): void;
}
