import { AfterContentInit, AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { HeaderComponent } from '../header/header.component';
export declare class PanelComponent implements OnInit, OnDestroy, AfterViewInit, AfterContentInit {
    private _renderer;
    private _elRef;
    private _changeDetectorRef;
    readonly PANEL_CLASS: string;
    private _collapsable;
    private _collapsed;
    private _destroy;
    color: string;
    collapsable: any;
    collapsed: boolean;
    collapsedEmitter: EventEmitter<Boolean>;
    header: HeaderComponent;
    constructor(_renderer: Renderer2, _elRef: ElementRef, _changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    isCollapsed(): boolean;
    toggleCollapsed(): void;
    open(): void;
    close(): void;
}
