import { AfterContentInit, QueryList } from '@angular/core';
import { CdkStep, CdkStepper } from '@angular/cdk/stepper';
import { McRAIStepLabel } from '../directives/step-label.directive';
import { FocusableOption } from '@angular/cdk/a11y';
export declare class McRAIStep extends CdkStep {
    stepLabel: McRAIStepLabel;
    constructor(stepper: McRAIStepper);
}
export declare class McRAIStepper extends CdkStepper implements AfterContentInit {
    cssClass: boolean;
    _stepHeader: QueryList<FocusableOption>;
    _steps: QueryList<McRAIStep>;
    ngAfterContentInit(): void;
}
export declare class McRAIHorizontalStepper extends McRAIStepper {
    extendCssClass: boolean;
}
