import { ElementRef, OnDestroy, OnInit, QueryList } from '@angular/core';
import { SlideDirective } from '../../directives/slide.directive';
export declare class SwiperComponent implements OnInit, OnDestroy {
    private _elRef;
    private _destroy;
    visible: number;
    step: number;
    activeIndex: number;
    loop: boolean;
    autoplay: boolean;
    autoplayDelay: number;
    private _slides;
    readonly slides: QueryList<SlideDirective>;
    private _animation;
    readonly animation: any;
    readonly slideWidth: number;
    readonly defaultWrapperOffset: string;
    constructor(_elRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private _moveWrapper(duration?);
    prev(): void;
    next(): void;
    setActive(index: number): void;
    isPrevDisabled(): boolean;
    isNextDisabled(): boolean;
    onSlideEnd(): void;
}
