import { AfterContentInit, AfterViewInit, ChangeDetectorRef, QueryList } from '@angular/core';
import { CdkStep, CdkStepper } from '@angular/cdk/stepper';
import { Directionality } from '@angular/cdk/bidi';
import { TabLabel } from '../directives/tab-label.directive';
import { McRAITabHeader } from './tab-header/tab-header.component';
import { McRAIHorizontalInkBar, McRAIVerticalInkBar } from '../directives/ink-bar.directive';
export declare class McRAITab extends CdkStep {
    tabLabel: TabLabel;
    constructor(tabs: McRAITabs);
}
export declare class McRAITabs extends CdkStepper implements AfterContentInit {
    _steps: QueryList<McRAITab>;
    protected _inkBar: any;
    _stepHeader: QueryList<McRAITabHeader>;
    constructor(_dir: Directionality, _changeDetectorRef: ChangeDetectorRef);
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
}
export declare class McRAIHorizontalTabs extends McRAITabs implements AfterViewInit {
    protected _inkBar: McRAIHorizontalInkBar;
}
export declare class McRAIVerticalTabs extends McRAITabs implements AfterViewInit {
    protected _inkBar: McRAIVerticalInkBar;
}
