import { Overlay } from '@angular/cdk/overlay';
import { ToastType } from '../models/toast-type.enum';
export declare class McRAIToaster {
    private overlay;
    readonly DEFAULT_DURATION: number;
    readonly TOAST_HEIGHT: number;
    readonly TOAST_MAX_WIDTH: number;
    private _lastActiveToastIndex;
    private _bottomOffset;
    constructor(overlay: Overlay);
    private _getConfig();
    private _getPortal();
    private _getToast(reference);
    private _eatToast(toast, overlayRef);
    private _enumToString(enumArray, enumValue);
    makeToast(text: string, type: ToastType, duration?: number): void;
}
