import { ElementRef, TemplateRef, ViewContainerRef } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
export declare class TooltipDirective {
    private _overlay;
    private _viewRef;
    private _elRef;
    private _overlayRef;
    mcraiTooltip: TemplateRef<any> | string;
    content: TemplateRef<any> | string;
    width: number;
    constructor(_overlay: Overlay, _viewRef: ViewContainerRef, _elRef: ElementRef);
    private _getPosition();
    private _getConfig();
    private _getPortal<T>(component);
    private _createOverlay();
    onMouseEnter(): void;
    onMouseLeave(): void;
}
