import { FlatTreeControl } from '@angular/cdk/tree';
import { CollectionViewer, DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';
export declare class McRAITreeDataSource<T> extends DataSource<T> {
    private _treeControl;
    private _toggleNode;
    private _initialData;
    private _data;
    data: T[];
    constructor(_treeControl: FlatTreeControl<T>, _toggleNode?: any, _initialData?: T[]);
    private _handleToggles(changes);
    connect(collectionViewer: CollectionViewer): Observable<T[]>;
    disconnect(): void;
}
