import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { ItemDirective } from '../../directives/item.directive';
export declare class CarouselComponent implements OnInit, AfterViewInit, OnDestroy {
    private _elRef;
    private _changeDetectorRef;
    private _destroy;
    private _items;
    readonly items: QueryList<ItemDirective>;
    activeIndex: number;
    activeIndexChange: EventEmitter<number>;
    private _indexLimit;
    readonly listStyle: {
        [key: string]: string;
    };
    readonly itemStyle: {
        [key: string]: string;
    };
    constructor(_elRef: ElementRef, _changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    _onPanEnd(event: any): void;
    private _setIndexLimit();
    private _emitActiveIndex();
    showControls(): boolean;
    isStart(): boolean;
    isEnd(): boolean;
    next(): void;
    prev(): void;
    first(): void;
    last(): void;
}
