import { AfterViewInit, ChangeDetectorRef, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
export declare class McRAICheckbox implements OnInit {
    private _changeDetectorRef;
    private _checkboxGroup;
    private _id;
    readonly id: string;
    private _disabled;
    disabled: undefined | null | boolean;
    private _value;
    value: any;
    private _checked;
    checked: boolean;
    private _control;
    control: FormControl;
    constructor(_changeDetectorRef: ChangeDetectorRef, _checkboxGroup: McRAICheckboxGroup);
    ngOnInit(): void;
    onClick(): void;
    isDisabled(): boolean;
    updateChecked(): void;
}
export declare class McRAICheckboxGroup implements OnInit, AfterViewInit {
    private _destroy;
    private _checkboxes;
    _control: FormControl;
    control: FormControl;
    value: any;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    markAsDirty(): void;
    markAsTouched(): void;
}
