import { EventEmitter, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
export declare class FileComponent implements OnInit, OnDestroy {
    private _destroy;
    readonly MAX_FILE_SIZE: number;
    static count: number;
    multiple: boolean;
    control: FormControl;
    filesChange: EventEmitter<File | File[]>;
    private _stagedFiles;
    readonly stagedFiles: File[];
    private _id;
    readonly id: number;
    private _isDraggingOver;
    readonly isDraggingOver: boolean;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private _queueFiles(files);
    private _columnValidator(control);
    private _sizeValidator(control);
    private _sanitazeFiles(files);
    private _filterOutDuplicities(files);
    private _filterOutCountExceedingFiles(files);
    onDragover(event: any): void;
    onDragEnter(event: any): void;
    onDragLeave(event: any): void;
    onDrop(event: any): void;
    onChange(event: any): void;
    isMultiple(): boolean;
    removeStaged(name: string): void;
    getMaxFileSize(): string;
    getFirstError(): string;
}
