import { OnInit } from '@angular/core';
import { FormControl, ValidationErrors } from '@angular/forms';
export declare class TextComponent implements OnInit {
    readonly UNDEFINED_ERROR: string;
    private _isFocused;
    readonly isFocused: boolean;
    private _rowsCount;
    readonly rowsCount: number;
    control: FormControl;
    placeholder: string;
    errors: string | ValidationErrors;
    type: string;
    constructor();
    ngOnInit(): void;
    hasPlaceholder(): boolean;
    hasErrors(): boolean;
    isActive(): boolean;
    isEmpty(): boolean;
    getFirstError(): string;
    onFocus(): void;
    onBlur(): void;
    onKeyUp(event: KeyboardEvent): void;
}
