import { ChangeDetectorRef, ElementRef, NgZone, OnInit, Renderer2 } from '@angular/core';
import { Subject } from 'rxjs';
export declare class MediaComponent implements OnInit {
    protected _elRef: ElementRef;
    protected _changeDetectorRef: ChangeDetectorRef;
    protected _renderer: Renderer2;
    protected _ngZone: NgZone;
    protected _width: number | string;
    protected _height: number | string;
    protected _src: string;
    width: number | string;
    height: number | string;
    readonly src: string;
    closeEvent: Subject<null>;
    constructor(_elRef: ElementRef, _changeDetectorRef: ChangeDetectorRef, _renderer: Renderer2, _ngZone: NgZone);
    ngOnInit(): void;
    protected toString(dimension: string | number | null): string;
    protected toNumber(dimension: string | number, parent: number): number;
    close(): void;
}
