import { ChangeDetectorRef, ElementRef, NgZone, OnInit, Renderer2 } from '@angular/core';
import { McRAIVideo } from '../../models/video';
import { MediaComponent } from '../media/media.component';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
export declare class VideoComponent extends MediaComponent implements OnInit {
    protected _elRef: ElementRef;
    protected _changeDetectorRef: ChangeDetectorRef;
    protected _renderer: Renderer2;
    protected _ngZone: NgZone;
    private _sanitizer;
    private _data;
    data: McRAIVideo;
    readonly sanitazedSrc: SafeResourceUrl;
    constructor(_elRef: ElementRef, _changeDetectorRef: ChangeDetectorRef, _renderer: Renderer2, _ngZone: NgZone, _sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private _buildSrc(id);
}
