import { ElementRef, OnDestroy, ViewContainerRef } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { MenuComponent } from '../components/menu/menu.component';
export declare class TriggerForDirective implements OnDestroy {
    private _overlay;
    private _viewContainerRef;
    private _elRef;
    private _overlayRef;
    private _menu;
    mcraiMenuTriggerFor: MenuComponent;
    constructor(_overlay: Overlay, _viewContainerRef: ViewContainerRef, _elRef: ElementRef);
    ngOnDestroy(): void;
    private _getPosition();
    private _getConfig();
    private _getPortal(templateRef);
    private _createOverlay();
    onClick(event: MouseEvent, targetElement: HTMLElement): void;
    attachMenu(): void;
    detachMenu(): void;
}
