import { Injector } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { ComponentType } from '@angular/cdk/portal';
import { ModalOptions } from '../models/modal-options';
export declare class McRAIModal {
    private _overlay;
    private _injector;
    private _overlayRef;
    private _overlayRefs;
    constructor(_overlay: Overlay, _injector: Injector);
    private _getConfig(options);
    private _getInjector(data);
    private _getComponentPortal<T>(component, data);
    open<T>(component: ComponentType<T>, options?: ModalOptions): void;
    close(): void;
    resize(width: string, height: string): void;
}
