import { ElementRef, EventEmitter, OnInit, Renderer2 } from '@angular/core';
export declare class PaginatorComponent implements OnInit {
    private _renderer;
    private _elRef;
    readonly PAGINATOR_CLASS: string;
    private _destroy;
    private _paginator;
    prev: EventEmitter<number>;
    next: EventEmitter<number>;
    page: EventEmitter<number>;
    constructor(_renderer: Renderer2, _elRef: ElementRef);
    ngOnInit(): void;
    showPaginator(): boolean;
    getRange(): string;
    nextPage(): void;
    prevPage(): void;
    isFirstPage(): boolean;
    isLastPage(): boolean;
    getCount(): string;
}
